// v1 · location

Looks up IP attributes

GEThttps://ep.api.getfastah.com/whereis/v1/json/{ip}

Find information about an IPv4 or IPv6 address such as city, state, country, timezone, satellite ISP, and geo-coordinates. An API key is available via a free trial on AWS Marketplace (https://aws.amazon.com/marketplace/pp/B084VR96P3).

Authorizations

Fastah-Keystring · headerrequired

Every request needs the Fastah API key from your AWS Marketplace subscription, sent in the Fastah-Key header. After you subscribe, AWS Marketplace sends you to the Fastah Developer Console, where you create the key.

format: <token>

Path parameters

ipstringrequired

An IP address. 129.222.224.1, or just 'auto' for IP auto-detection.

default: auto

Response

200application/json

This success response returns the approximate geo-coordinates, city name, country, and time zone of the specified IP.

ipstringrequired

the IP address which is described in this response

isEuropeanUnionbooleanrequired

True if the country is a member state of the European Union

locationDataobjectrequired

Geo-location data for this IP

Show child attributes (10)
countryNamestringrequired

Country name as a display string

countryCodestringrequired

Country name as an ISO 3166-1 code

stateNamestringrequired

Name of the first-order administrative entity below the country level, which is usually a state or province.

default:
stateCodestringrequired

ISO2 code, if available, of the first-order administrative entity below the country level, which is usually a state or province.

default:
cityNamestringrequired

City name

cityGeonamesIdinteger · uint64required

Lookup key for the city in Geonames.org

latnumberrequired

Latitude representing the approximate location

lngnumberrequired

Longitude representing the approximate location

tzstringrequired

Time zone for the region

continentCodestringrequired

2-letter continent code

l10nobjectrequired

Localization related attributes

Show child attributes (4)
currencyNamestringrequired

Currency name in abbreviated form

currencyCodestringrequired

Currency code in 3-letter ISO 4217 form

currencySymbolstringrequired

Currency symbol in abbreviated form (e.g $ and not US$)

langCodesstring[]required

List of language codes or locales that are used in the country

min items: 1
satelliteobject

Detection of one of the two satellite internet service providers supported : SpaceX Starlink and ViaSat.

Show child attributes (1)
providerstringrequired

Name of the satellite internet service provider, and empty string if this is not one.

default:

400application/json

This response is returned when a malformed or invalid IP address was specified in the request.

errorobjectrequired
Show child attributes (1)
messagestringrequired

A description of what went wrong

404application/json

This response is returned when Fastah did not have any information about the requested IP.

errorobjectrequired
Show child attributes (1)
messagestringrequired

A description of what went wrong